# Class SelectionManager

java.lang.Object
org.jmol.viewer.SelectionManager

public class SelectionManager extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`BS`
`bsDeleted`
`BS`
`bsSubset`
`Boolean`
`noneSelected`
a flag to indicate that labels and fonts should be set to default values; set only by SELECT NONE;

## Method Summary

Modifier and Type
Method
Description
`BS`
`excludeAtoms(BS bs, boolean ignoreSubset)`
`BS`
`getHiddenSet()`
`BS`
`getMotionFixedAtoms()`
`int`
`getSelectionCount()`
`boolean`
`isAtomSelected(int atomIndex)`
`boolean`
`isSelected(int atomIndex)`
`void`
`setSelectedAtom(int atomIndex, boolean TF)`
`void`
`setSelectionSubset(BS bs)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bsSubset

public BS bsSubset

### bsDeleted

public BS bsDeleted

### noneSelected

public Boolean noneSelected
a flag to indicate that labels and fonts should be set to default values; set only by SELECT NONE;

## Method Details

### getHiddenSet

public BS getHiddenSet()

### isSelected

public boolean isSelected(int atomIndex)

### isAtomSelected

public boolean isAtomSelected(int atomIndex)

### setSelectedAtom

public void setSelectedAtom(int atomIndex, boolean TF)

### setSelectionSubset

public void setSelectionSubset(BS bs)

### getSelectionCount

public int getSelectionCount()

### excludeAtoms

public BS excludeAtoms(BS bs, boolean ignoreSubset)

### getMotionFixedAtoms

public BS getMotionFixedAtoms()